require('nvim-autopairs').setup({check_ts = true})
require("nvim-autopairs.completion.compe").setup({
    map_cr = true, --  map <CR> on insert mode
    map_complete = true -- it will auto insert `(` after select function or method item
})

--- Auto-space rules
local npairs = require 'nvim-autopairs'
local Rule = require 'nvim-autopairs.rule'

npairs.add_rules {
    Rule(' ', ' '):with_pair(function(opts)
        local pair = opts.line:sub(opts.col, opts.col + 1)
        return vim.tbl_contains({'()', '[]', '{}'}, pair)
    end)
}
